# cfg.py
#
#

""" basic package for the program. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from rechter.object import Object

import socket

## CONFIG

cfg = Object()

## XMPP

cfg.xmpp = Object()
cfg.xmpp.prefix = "cfg"
cfg.xmpp.user = "rechter@localhost"
cfg.xmpp.server = "localhost"
cfg.xmpp.username = "rechter"
cfg.xmpp.channel = "#rechter"
cfg.xmpp.nick = "rechter"
cfg.xmpp.cfg = "xmpp"
cfg.xmpp.port = 5222
cfg.xmpp.owner = ""

## IRC

cfg.irc = Object()
cfg.irc.prefix = "cfg"
cfg.irc.server = "localhost"
cfg.irc.username = "rechter"
cfg.irc.channel = "#rechter"
cfg.irc.nick = "rechter"
cfg.irc.cfg = "irc"
cfg.irc.owner = ""

## RECHTEREL

cfg.main = Object()
cfg.main.prefix = "cfg"
cfg.main.debug = False
cfg.main.background = False
cfg.main.openfire = True
cfg.main.shell = False
cfg.main.init = ""
cfg.main.workdir = ""
cfg.main.loglevel = "warn"
cfg.main.packages = ["rechter.clock", "rechter.bots", "rechter.plugins", "rechter.test"]
cfg.main.exclude = ["rechter.test",]
cfg.main.cfg = "main"

# UDP

cfg.udp = Object()
cfg.udp.prefix = "cfg"
cfg.udp.cfg = "udp"
cfg.udp.host = "localhost"
cfg.udp.port = 5500
cfg.udp.password = "boh"
cfg.udp.seed = "blablablablablaz" # needs to be 16 chars wide

## SHOW

cfg.rest = Object()
cfg.rest.prefix = "cfg"
cfg.rest.cfg = "show"
cfg.rest.hostname = socket.getfqdn()
cfg.rest.port = 10102

## RSS

cfg.rss = Object()
cfg.rss.keys_list = ["published", "title", "summary", "link"]
cfg.rss.sleeptime = 600
